.div-add-row {
    display: flex;
    justify-content: center;
    margin-top: 1.25rem;
}

.add-row{
    width: fit-content !important;
    height: fit-content !important;
}

.div-content-add {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.add-text {
    margin-bottom: 0.5rem;
    font-size: 0.875rem;
    color: #333;
}

.add-row i {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: #10498F;
    color: white;
    width: 1.875rem;
    height: 1.875rem;
    font-size: 0.875rem;
    border: 0.063rem solid #10498F;
    cursor: pointer;
    transition: background-color 0.3s;
}

.add-row i:hover {
    background-color: #0d3c73;
}

.download-btn:hover {
    background-color: #EDEDED;
}

.buscaInput {
    border-radius: 25px;
    width: 30vh;
    height: 4vh;
    border: solid 1px #888888;
    padding: 1rem;
}

#buscaArea {
    display: flex;
    justify-content: end;
}

#lupaBuscar {
    position: relative;
    left: 29vh;
    top: 1.1vh;
    color: #000000;
    size: 20px;
}

.colunaDownload {
    align-items: center;
}

.colunaDownload>i {
    margin-left: 3px;
}

td {
    align-content: center;
}

th {
    white-space: nowrap;
}

.iconeDownload {
    margin-left: 0.1rem;
    margin-top: 2px;
}

.paginacao {
    margin-bottom: 2rem;
}

.ordenarDataCrescente {
    position: relative !important;
    top: 8px !important;
}

.ordenarDataDecrescente {
    position: relative !important;
}

.iconsDiv {
    position: relative;
    left: 4px;
}

.linkArquivo {
    font-size: 1rem;
    border: solid 1px;
    padding: 15px;
    width: 46px;
    height: 46px;
    border-radius: 50%;
    border-color: red;
}

.iconeArquivo {
    color: red;
}

#listaLinks {
    gap: 3vh;
    margin-top: 3vh;
}

.pagination-button {
    border: none;
    background-color: white;
    width: 4vh;
    height: 4vh;
    align-items: center;
    display: flex;
    justify-content: center;
    font-weight: 500;
}

.pagination-button.active {
    background-color: black;
    color: white;
    border-radius: 50%;

}

.pagination-button.next {
    font-weight: bold;

}

.pagination-button.prev {
    font-weight: bold;

}

.pagination-ellipsis {
    width: 4vh;
    height: 4vh;
    display: inline-flex;
    justify-content: center;
    font-weight: bold;
    font-size: 1.5rem;
}

.colunaDownload-itens {
    display: flex;
    justify-content: center;
}

.areaTabela.loading {
    position: relative;
    min-height: 80px;
    /* altura mínima para centralizar o loading */
}


.areaTabela.loading::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.7);
    z-index: 1;
}


.areaTabela.loading::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40px;
    height: 40px;
    margin: -20px 0 0 -20px;
    border: 4px solid #ccc;
    border-top-color: #333;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    z-index: 2;
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.editar-btn-link {
    background-color: #1351B4;
    color: white;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}

.editar-btn {
    margin-left: 7px;
    margin-top: 7px;
    font-size: 0.75rem;
}